<?php 

//incluir la conexion de base de datos
require "../config/Conexion.php";
// declaration
class Relacionarticuloterminadonegocio{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($idarticulo,$idarticuloi){
	$sql="INSERT INTO relacionarticuloterminadonegocio (idarticulo,idarticuloi) VALUES ('$idarticulo','$idarticuloi')";
  //  echo $sql;
    return ejecutarConsulta($sql);
}

public function editar($idrelacionarticuloterminadonegocio,$idarticulo,$idarticuloi){
	$sql="UPDATE relacionarticuloterminadonegocio SET idarticulo='$idarticulo',idarticuloi='$idarticuloi'	WHERE idrelacionarticuloterminadonegocio='$idrelacionarticuloterminadonegocio'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idrelacionarticuloterminadonegocio){
	$sql="DELETE FROM relacionarticuloterminadonegocio WHERE idrelacionarticuloterminadonegocio='$idrelacionarticuloterminadonegocio'";
	return ejecutarConsulta($sql);
}

public function desactivar($idrelacionarticuloterminadonegocio){
	$sql="UPDATE relacionarticuloterminadonegocio SET condicion='0' WHERE idrelacionarticuloterminadonegocio='$idrelacionarticuloterminadonegocio'";
	return ejecutarConsulta($sql);
}

public function activar($idrelacionarticuloterminadonegocio){
	$sql="UPDATE relacionarticuloterminadonegocio SET condicion='1' WHERE idrelacionarticuloterminadonegocio='$idrelacionarticuloterminadonegocio'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idrelacionarticuloterminadonegocio){
	$sql="SELECT * FROM relacionarticuloterminadonegocio WHERE idrelacionarticuloterminadonegocio='$idrelacionarticuloterminadonegocio'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM subzona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM subzona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarg(){
	$sql="SELECT * FROM subzona WHERE tipo_persona='Gerente'";
	return ejecutarConsulta($sql);
}
public function listarv(){
	$sql="SELECT * FROM subzona";
  //echo $sql;
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT r.idrelacionarticuloterminadonegocio,r.idarticulo,z.nombre as articulomayor,r.idarticuloi, s.nombre as articuloindividual,r.condicion FROM relacionarticuloterminadonegocio r LEFT JOIN articulo z ON z.idarticulo=r.idarticulo LEFT JOIN articulo s ON s.idarticulo=r.idarticuloi";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

?>
